Download it now!
Bug 89795 - Filter Data IGNORED in PDF Export Macro
Summary: Filter Data IGNORED in PDF Export Macro
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
4.2.7.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:pdf
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2015-03-03 08:28 UTC by Juraj
Modified: 2019-05-14 02:58 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
test file (121.70 KB, application/x-zip)
2015-03-04 17:42 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Juraj 2015-03-03 08:28:05 UTC
LibreOffice ignores ANY Filter Data options feeded inside a macro for a PDF Export. 
Very similar bugs bugs have been makred INVALID because it was supposeldy a macro recording problem. Well it is not, this is not a recorded macro.

Thank you



sub pdf
doc = thisComponent
adr = left (doc.url, len (doc.url)-4)+".pdf"
dim podminka_filtru (0) as new com.sun.star.beans.PropertyValue
podminka_filtru (0).Name = "UseLosslessCompression"
podminka_filtru (0).Value = False
podminka_filtru (0).Name = "ReduceImageResolution"
podminka_filtru (0).Value = True
podminka_filtru (0).Name = "MaxImageResolution"
podminka_filtru (0).Value = "50"
podminka_filtru (0).Name = "Quality"
podminka_filtru (0).Value = "10"
dim podminka_exportu (1) as new com.sun.star.beans.PropertyValue
podminka_exportu (0).Name = "FilterName"
podminka_exportu (0).Value = "calc_pdf_Export"
podminka_exportu (1).Name = "FilterData"
podminka_exportu (1).Value = podminka_filtru
doc.storeToURL (adr, podminka_exportu ())
end sub
Comment 1 raal 2015-03-04 17:42:50 UTC
Created attachment 113879 [details]
test file

I can confirm with LO 4.3.3, linux

Export to pdf is broken in LO >4.4 -> picture exported garbled
Setting to NEW
Comment 2 TJ 2015-03-26 10:07:10 UTC
[...]
> podminka_filtru (0).Name = "UseLosslessCompression"
> podminka_filtru (0).Value = False
> podminka_filtru (0).Name = "ReduceImageResolution"
> podminka_filtru (0).Value = True
> podminka_filtru (0).Name = "MaxImageResolution"
> podminka_filtru (0).Value = "50"
> podminka_filtru (0).Name = "Quality"
> podminka_filtru (0).Value = "10"
[....]

Watch out for your index of podminka_filtru array. In your example, you're using the same index again and again.


I can confirm, that recording a macro when exporting to PDF produces code, which ignores the filter data. But working with a array of PropertyValue works for me.
Comment 3 tommy27 2016-04-16 07:24:10 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.5 or 5.1.2 https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

- Update the version field
- Reply via email (please reply directly on the bug tracker)
- Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 

3. Leave a comment with your results. 

4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2016-04-16
Comment 4 QA Administrators 2019-05-14 02:58:05 UTC
Dear Juraj,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug